Subject: bug#61913: java-ts-mode query error for string highlight, due to recent commit in tree-sitter-java.

From: Theodor Thornhill <[email-masked]>
Date: Mon, 06 Mar 2023 07:12:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Vincenzo Pupillo <[email-masked]>
>> Date: Sun, 5 Mar 2023 14:50:39 +0100
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>> 
>> nvim-treesiter seems to use a "lockfile" in which they put the version of the language parser to be installed
>> (https://github.com/nvim-treesitter/nvim-treesitter/blob/master/lockfile.json) to allow some stability I suppose.
>
> Those seem to be Git SHA hashes, but how can Emacs verify that the
> particular grammar shared library is of that revision or later?  We
> can only tell users to verify that, which is not very reliable, and
> requires users to clone the repository.

We could keep a header in the *-ts-mode.el file maybe?  Something like:

;;; Grammar version: 95e84b5493e8d21060f1a905d2e5e3c5590bae45

Anyway, I think until we have such a system in place, we should strive
to adhere to the most recent version of the grammar.  The diff is ok,
Vicenzo.  Would you like to add a proper patch or should I just do it?
I mean with a commit message and format like in CONTRIBUTE?

Theo